<?php
/**
 * Plugin Name: Test plugin
 * Description: Testing metabox
 * Plugin URI: https://www.test.com
 * Author: The Author
 * Author URI: https://www.test.com
 * Version: 1.0
 * License: GPL2 or later
 * License URI: https://www.gnu.org/licenses/gpl-2.0.html
 * Text Domain: test-plugin
 * Domain Path: test-plugin
 * Network: false
 */

defined( 'ABSPATH' ) || exit;

// Register the settings page.
add_filter( 'mb_settings_pages', function ( $settings_pages ) {
    $settings_pages[] = [
        'id'            => 'my-options',
        'menu_title'    => 'Options',
        'option_name'   => 'my_options',
        'icon_url'      => 'dashicons-images-alt',
        'submenu_title' => 'Options', // Note this
    ];
    return $settings_pages;
} );

// Register the meta boxes.
add_filter( 'rwmb_meta_boxes', function ( $meta_boxes ) {
    $meta_boxes[] = [
        'id'             => 'general',
        'title'          => 'General',
        'settings_pages' => 'my-options',
        'context'        => 'normal',
        'fields'         => [
            [
                'id'     => 'my_group',
                'type'   => 'group',
                'clone'  => false,
                'fields' => [
                    [
                        'name' => 'Logo',
                        'id'   => 'logo',
                        'type' => 'file_input',
                    ],
                    [
                        'name'    => 'Layout',
                        'id'      => 'layout',
                        'type'    => 'image_select',
                        'options' => [
                            'sidebar-left'  => 'https://i.imgur.com/Y2sxQ2R.png',
                            'sidebar-right' => 'https://i.imgur.com/h7ONxhz.png',
                            'no-sidebar'    => 'https://i.imgur.com/m7oQKvk.png',
                        ],
                    ],
                    [
                        'name' => 'Backup',
                        'type' => 'backup',
                    ],
                ]
            ]
        ]
    ];
    return $meta_boxes;
} );